from random import randint
import sys

def ueberschrift(titel):              
    print("")
    print("  ", titel)
    laenge = len(titel)
    print("  ", '='*laenge)
    print("")

ueberschrift("lineare Suche in einem Feld")

grenze = int(sys.argv[1]) 

# Feld anlegen
feld = []

# Zahlen würfeln und als Elemente an das Feld anhängen
for i in range(grenze):
    feld.append(randint(1,100))

# Feld ausgeben
for element in feld:
    print(element, end = ' ')
print('\n')

# feld für die Ergebnisse anlegen
ergebnisse = []

gesuchte_zahl = int(sys.argv[2]) 
gefunden = 0        #0 = nicht gefunden, 1 = gefunden
stelle = -1

# für jede Stelle im Feld
for i in range(grenze):
    # wenn das element gleich der gesuchten Zahl 
    if feld[i] == gesuchte_zahl:
        # dann merken
        gefunden = 1
        ergebnisse.append(i)
        

# Ausgabe
if (gefunden == 1):
    print('Die Zahl ', gesuchte_zahl, ' wurde an den Stellen: ', end = '') 
    for i in ergebnisse:
        print(i, end = ' ')
    print('\n')
else:
    print('Die Zahl ', gesuchte_zahl, ' wurde nicht in Feld gefunden')
